orte/mca/pls/bproc_orted/pls_bproc_orted.h File Reference.TH "orte/mca/pls/bproc_orted/pls_bproc_orted.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/pls/bproc_orted/pls_bproc_orted.h \- Part of the bproc launching system. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/mca/mca.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'orte/mca/pls/pls.h'\fP
.br
\fC#include <sys/bproc.h>\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBorte_pls_bproc_orted_component_t\fP \fBorte_pls_bproc_orted_component_t\fP"
.br
.RI "\fIConvenience typedef. \fP"
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_pls_bproc_orted_component_open\fP (void)"
.br
.RI "\fIOpens the pls_bproc component, setting all the needed mca parameters and finishes setting up the component struct. \fP"
.ti -1c
.RI "int \fBorte_pls_bproc_orted_component_close\fP (void)"
.br
.RI "\fIComponent close function. \fP"
.ti -1c
.RI "\fBorte_pls_base_module_t\fP * \fBorte_pls_bproc_orted_init\fP (int *priority)"
.br
.RI "\fIInitializes the module. \fP"
.ti -1c
.RI "int \fBorte_pls_bproc_orted_finalize\fP (void)"
.br
.RI "\fIFinalizes the bproc_orted module. \fP"
.ti -1c
.RI "int \fBorte_pls_bproc_orted_launch\fP (\fBorte_jobid_t\fP)"
.br
.RI "\fISetup io for the current node, then tell orterun we are ready for the actual processes. \fP"
.ti -1c
.RI "int \fBorte_pls_bproc_orted_terminate_job\fP (\fBorte_jobid_t\fP)"
.br
.RI "\fIFunction to terminate a job. \fP"
.ti -1c
.RI "int \fBorte_pls_bproc_orted_terminate_proc\fP (const orte_process_name_t *proc_name)"
.br
.RI "\fIFunction to terminate a process. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "ORTE_DECLSPEC \fBorte_pls_bproc_orted_component_t\fP \fBmca_pls_bproc_orted_component\fP"
.br
.RI "\fIThe bproc_orted component data structure used to store all the relevent data about this component. \fP"
.ti -1c
.RI "ORTE_DECLSPEC \fBorte_pls_base_module_t\fP \fBorte_pls_bproc_orted_module\fP"
.br
.RI "\fIInitialization of the bproc_orted module with all the needed function pointers. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Part of the bproc launching system. 

This launching system is broken into 2 parts: pls_bproc and pls_bproc_orted. pls_bproc runs on the head node in the seed daemons and pls_bproc_orted runs on the remote nodes in the daemon.
.PP
The main job of pls_bproc_orted is to setup ptys/pipes for IO forwarding. See \fBpls_bproc.h\fP for an overview of how the entire bproc launching system works.
.SH "Function Documentation"
.PP 
.SS "int orte_pls_bproc_orted_finalize (void)"
.PP
Finalizes the bproc_orted module. 
.PP
Cleanup tmp directory/files used for I/O forwarding. 
.PP
\fBReturn values:\fP
.RS 4
\fIORTE_SUCCESS\fP 
.RE
.PP

.SS "\fBorte_pls_base_module_t\fP* orte_pls_bproc_orted_init (int * priority)"
.PP
Initializes the module. 
.PP
We do not want to run unless we are not the seed, bproc is running, and we are not on the master node. 
.SS "int orte_pls_bproc_orted_launch (\fBorte_jobid_t\fP jobid)"
.PP
Setup io for the current node, then tell orterun we are ready for the actual processes. 
.PP
\fBParameters:\fP
.RS 4
\fIjobid\fP The jobid of the job to launch 
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIORTE_SUCCESS\fP .br
\fIerror\fP .RE
.PP

.SS "int orte_pls_bproc_orted_terminate_job (\fBorte_jobid_t\fP jobid)"
.PP
Function to terminate a job. 
.PP
Since this component only runs on remote nodes and doesn't actually launch any processes, this function is not needed so is a noop. 
.PP
\fBParameters:\fP
.RS 4
\fIjobid\fP The job to terminate 
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIORTE_SUCCESS\fP .RE
.PP

.SS "int orte_pls_bproc_orted_terminate_proc (const orte_process_name_t * proc)"
.PP
Function to terminate a process. 
.PP
Since this component only runs on remote nodes and doesn't actually launch any processes, this function is not needed so is a noop. 
.PP
\fBParameters:\fP
.RS 4
\fIproc\fP the process's name 
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIORTE_SUCCESS\fP .RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
